import sha

colors = ["#7FFFD4", "#6495ED", "#D2691E", "#FF7F50", "#DC143C", "#B8860B",
          "#008B8B", "#A9A9A9", "#228B22", "#FFB6C1", "#FFA500", "#EE82EE",
          "#000033", "#00CC00", "#660000", "#996600", "#701919", "#800000",
          "#00008B", "#0B5200", "#800080", "#2F4F4F"]

def get_task_colors(task_id):
    # returns task color by hashing the task id
    s = sha.new()
    s.update('ADDSOMESALT') # add some starting data to send the hasher into well-mixed land
    s.update(task_id)
    ix = ord(s.digest()[0]) % len(colors)
    if (ix > 11):
      return (colors[ix], 'white')
    else:
      return (colors[ix], 'black')
    
