#!/usr/bin/env python

# sys: exit
import sys
# commands: used for shell operations (sendmail, mkdir etc.)
from commands import *
#creates a directory that holds the errors (good for debugging)
#Alex: change ./tmp directory to a more secure one (e.g. /tmp or ../tmp)
import cgitb; cgitb.enable()
#import cgitb; cgitb.enable(display=0, logdir="tmp")
#Alex: for UNIX use next line (instead of previous)
#import cgitb; cgitb.enable(display=0, logdir="tmp")
import display_tasks
# import the module that displays the SVs schedule
import display_schedule

import get_form_info
import utils

from global_vars import *

class validate_password:
  def __init__ (self):
    #Alex: delete next 2
    self.fields = ['user', 'password']
    self.error = []
    self.passwd_list = {}
    self.get_password_list()
    self.get_info_from_form ()
    self.check_errors()
    if not self.error:
      self.check_passwd()
      self.check_errors()
    import nice_display
    nice_display.display_it_all()
    # display_tasks.display_tasks(self.user, self.last_name)


  def check_errors (self):
    if self.error:
      print 'Content-type: text/html\n'
      print '<html>'
      print '<p>Error(s):'
      i = 1
      for e in self.error:
        print '<p>%d) %s %s</p>' % (i, e[0], e[1])
        i = i + 1
      print '<p>If errors persist, please contact the VisWeek Student volunteers chairs at:<br>'
      print 'vis08sv@gmail.com</p>'
      print '</html>'
      sys.exit(0)

  def get_password_list (self):
    self.passwd_list = utils.get_password_list()

  def get_info_from_form(self):
    
    try:
      self.form=get_form_info.get_form()
    except:
      self.listErrors.append (('internal', 'uknkown error.'))
      return
    for f in self.fields:
      if not self.form.has_key(f):
        self.error.append ((f, "not found"))
        return
      
  def check_passwd (self):
    user = self.form["user"].value
    passwd = self.form['password'].value
    if not self.passwd_list.has_key(user):
      #print passwd
      #print user
      #print self.passwd_list.keys()
      self.error.append (('username %s' % user, "is incorrect."))
      return
    if self.passwd_list[user][2] <> passwd:
      self.error.append (('password for username %s' % user, "is incorrect"))
    self.user = user
    self.last_name = self.passwd_list[user][0]
#main
validate_password()
