#!/usr/bin/env python

# Reads the entire database and produces a summary of students and their
# tasks
##############################################################################

import cgitb
cgitb.enable()
from tasks import read_all_tasks
from global_vars import *
from get_form_info import get_form
import sys
import os.path

f = get_form()
try:
    username = f['name'].value
except KeyError:
    print "Content-type: text/plain\n\nNeed username."
    sys.exit(0)

print "Content-type: text/html\n"
print '<html><head><title>Activity summary</title><link rel="stylesheet" href="/styles/pas_style.css"></head><body>'
print '<pre>'
filename = 'task_data/users/%s_log.txt' % username
if not os.path.isfile(filename):
    print "No activity."
else:
    for f in file(filename):
        print f[:-1]
print '</pre>'
print '</body></html>'
