#!/usr/bin/env python

import string, sys
from global_vars import *
import get_form_info

class display_all_tasks:
  def __init__ (self):
    print 'Content-type: text/html'
    print ''
    self.get_info_from_form()
    self.get_info_from_file()
    self.print_headers()
    self.print_table()
    self.print_footers()

  def print_headers (self):
    print '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"'
    print '   "http://www.w3.org/TR/html4/loose.dtd">'
    print '<html lang=en>'
    print '  <head>'    
    print '  </head>'    
    print '  <body>'   
    print '    <center>'
    print '    <table border cellpadding=2>'
    print '    <tr>'
    print '      <th>  Task ID               </th>'
    print '      <th>  Category              </th>'
    print '      <th>  Date                  </th>'
    print '      <th>  Start                 </th>'    
    print '      <th>  End                   </th>'    
    print '      <th>  Duration              </th>'    
    print '      <th>  Task Description      </th>'    
    print '    </tr>'

  def print_table (self):
    for tl in self.task_list:
      if self.available:
        filename = task_checked_folder + tl[1] + '/%s.txt' % tl[0]
        found_task = 1
        try:
          check = open (filename,'r')
        except:
          found_task = 0
        if found_task:
          check.close()
          continue
      if self.category <> '0':
        if self.category <> tl[1]:
          continue
      print '      <tr>'
      i = 0
      for t in tl:
        if i in [0,1,3,4,5]: 
          print '        <td align="center">'
        else:
          print '        <td>'
        print '          %s' % t
        print '        </td>'
        i = i + 1
      print '      </tr>'

  def print_footers(self):
    print  '    </center>'
    print  '  </body>'
    print  '</html>'

  def get_info_from_form (self):
    try:
      self.form=get_form_info.get_form()
    except:
      self.error ('There is something wrong with the WWW server', 1)
    #print dir (self.form)
    self.category = '0'
    if self.form.has_key('tasks'):
      self.available = 0
      type_task = 'tasks'
    elif self.form.has_key ('atasks'):
      type_task = 'atasks'
      self.available = 1
    elif self.form.has_key ('ctasks'):
      type_task = 'ctasks'
      self.available = 0
      cat_str = self.form[type_task].value
      self.category = cat_str.split()[1]
    else:
      type_task = 'catasks'
      self.available = 1
      cat_str = self.form[type_task].value
      self.category = cat_str.split()[1]
    self.listing = self.form[type_task].value
    #print self.listing
    #if self.category <> '0':
    #  print '<br> and category is %s' % self.category

  def get_info_from_file (self):
    if self.listing == 'by Date':
      filename = taskByDate_filename
    else:
      filename = taskById_filename
    try:
      input = open (filename, 'r')
    except:
      self.error ('could not open tasks\' file', 1)
    self.task_list = []
    for line in input.readlines():
      strtok = line.split('\t')
      try:
        strtok[0][0]
      except:
        continue
      if strtok[0][0] == '#':
        continue
      self.task_list.append (strtok[0:7])

  def error (self, text, type):
     print text


#main
display_all_tasks()
